Create server database
Creates a database for a server on a configured database host.
/api/application/servers/{server_id}/databasesAuthorization
default Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
The server ID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/application/servers/1/databases" \ -H "Content-Type: application/json" \ -d '{ "database": "example", "remote": "127.0.0.1", "host": 1 }'{ "object": "server_database", "attributes": { "id": 1253, "server": 8114, "host": 1544, "database": "1E8CdMJTdo", "username": "eEAKifNuaL", "remote": "%", "max_connections": 0, "created_at": "2026-09-22T14:45:23+00:00", "updated_at": "2026-09-22T14:45:23+00:00" }, "meta": { "resource": "https://panel.example.test/api/application/servers/1/databases/1" }}